VP-ASP Multiple Script SQL Injection (2)

High Nessus Network Monitor Plugin ID 3086

Synopsis

The remote web server contains a script that is vulnerable to a SQL injection attack.

Description

The remote host is using the VP-ASP, a shopping cart program written in ASP. The remote version of this software is vulnerable to three SQL injection vulnerabilities in the files shopaddtocart.asp, shopaddtocartnodb.asp and shopproductselect.asp. An attacker may exploit these flaws to execute arbitrary SQL statements against the remote database.

Solution

Upgrade or patch according to vendor recommendations.

Plugin Details

Severity: High

ID: 3086

File Name: 3086.prm

Family: CGI

Published: 2005/07/19

Modified: 2016/02/05

Dependencies: 1442

Nessus ID: 19229

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 7.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:W/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 7.1

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:H/RL:W/RC:C

Reference Information

BID: 14305, 14306, 14295

OSVDB: 17998, 17999, 18000